---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.129.0.5/23"],"mac_address":"7a:be:ac:81:00:06","gateway_ips":["10.129.0.1"],"ip_address":"10.129.0.5/23","gateway_ip":"10.129.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.0.5"
          ],
          "mac": "7a:be:ac:81:00:06",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.0.5"
          ],
          "mac": "7a:be:ac:81:00:06",
          "default": true,
          "dns": {}
      }]
  creationTimestamp: "2020-05-26T14:11:17Z"
  generateName: openshift-apiserver-operator-d77f5fc9f-
  labels:
    app: openshift-apiserver-operator
    pod-template-hash: d77f5fc9f
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"16537c7a-0342-409a-b77b-c0cf11d25ca6"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"openshift-apiserver-operator"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERAND_IMAGE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERATOR_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERATOR_IMAGE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":8443,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/var/run/configmaps/config"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/secrets/serving-cert"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"config"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"serving-cert"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:optional: {}
              f:secretName: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T14:11:17Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-scheduler
    operation: Update
    time: "2020-05-26T14:15:34Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:k8s.ovn.org/pod-networks: {}
    manager: ovnkube
    operation: Update
    time: "2020-05-26T14:17:14Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2020-05-26T14:17:15Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.129.0.5"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T14:22:54Z"
  name: openshift-apiserver-operator-d77f5fc9f-64v4m
  namespace: openshift-apiserver-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: openshift-apiserver-operator-d77f5fc9f
    uid: 16537c7a-0342-409a-b77b-c0cf11d25ca6
  resourceVersion: "9587"
  selfLink: /api/v1/namespaces/openshift-apiserver-operator/pods/openshift-apiserver-operator-d77f5fc9f-64v4m
  uid: 44ad9730-42b5-40b5-abda-19fc84761fb3
spec:
  containers:
  - args:
    - --config=/var/run/configmaps/config/config.yaml
    command:
    - cluster-openshift-apiserver-operator
    - operator
    env:
    - name: IMAGE
      value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:7d819535491df07f83d1cbf495ff937b888f43de656328f8ebcebd608a9c4616
    - name: OPERATOR_IMAGE
      value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:011e15eccfae17fd72102421369889c97f5867e605fb6f114fa6d08367d818a3
    - name: OPERATOR_IMAGE_VERSION
      value: 0.0.1-2020-05-26-050349
    - name: OPERAND_IMAGE_VERSION
      value: 0.0.1-2020-05-26-050349
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:011e15eccfae17fd72102421369889c97f5867e605fb6f114fa6d08367d818a3
    imagePullPolicy: IfNotPresent
    name: openshift-apiserver-operator
    ports:
    - containerPort: 8443
      name: metrics
      protocol: TCP
    resources:
      requests:
        cpu: 10m
        memory: 50Mi
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/run/configmaps/config
      name: config
    - mountPath: /var/run/secrets/serving-cert
      name: serving-cert
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: openshift-apiserver-operator-token-jdkd6
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: ip-10-0-162-213.ec2.internal
  nodeSelector:
    node-role.kubernetes.io/master: ""
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: openshift-apiserver-operator
  serviceAccountName: openshift-apiserver-operator
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 120
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 120
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: serving-cert
    secret:
      defaultMode: 420
      optional: true
      secretName: openshift-apiserver-operator-serving-cert
  - configMap:
      defaultMode: 420
      name: openshift-apiserver-operator-config
    name: config
  - name: openshift-apiserver-operator-token-jdkd6
    secret:
      defaultMode: 420
      secretName: openshift-apiserver-operator-token-jdkd6
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:14Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:22:54Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:22:54Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:14Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://90385579f72ea9251755f7ec9f1fe9e1abefa254f1aa41b68db5091cc4286cce
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:011e15eccfae17fd72102421369889c97f5867e605fb6f114fa6d08367d818a3
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:011e15eccfae17fd72102421369889c97f5867e605fb6f114fa6d08367d818a3
    lastState:
      terminated:
        containerID: cri-o://99f612ca94181f80716a5ba43e2d6a2c00cdfbe999e43070c39ced0dbc08b8e6
        exitCode: 0
        finishedAt: "2020-05-26T14:22:36Z"
        reason: Completed
        startedAt: "2020-05-26T14:18:45Z"
    name: openshift-apiserver-operator
    ready: true
    restartCount: 2
    started: true
    state:
      running:
        startedAt: "2020-05-26T14:22:53Z"
  hostIP: 10.0.162.213
  phase: Running
  podIP: 10.129.0.5
  podIPs:
  - ip: 10.129.0.5
  qosClass: Burstable
  startTime: "2020-05-26T14:17:14Z"
